### Index

- AlertHttpErrorCallbackFn (packages/.../http-error-handler-callback-functions.ts)
- ConsoleHttpErrorCallbackFn (packages/.../http-error-handler-callback-functions.ts)
- createSelector (packages/.../ngrx_kit.ts)
- createSelector (packages/.../ngrx_kit.ts)
- createSelector (packages/.../ngrx_kit.ts)
- createSelectorFactory (packages/.../ngrx_kit.ts)
- createSelectorFactory (packages/.../ngrx_kit.ts)
- defaultMemoize (packages/.../ngrx_kit.ts)
- defaultStateFn (packages/.../ngrx_kit.ts)
- euiLogServiceFactory (packages/.../log.ts)
- extractArgsFromSelectorsDictionary (packages/.../ngrx_kit.ts)
- getCoreChildProviders (packages/.../eui-startup.ts)
- getCoreProviders (packages/.../eui-startup.ts)
- getDependencyProviders (packages/.../eui-startup.ts)
- getGlobalConfig (packages/.../tokens.ts)
- getHttpErrorHandlingConfig (packages/.../tokens.ts)
- getLogAppendersConfig (packages/.../log.ts)
- getModuleConfig (packages/.../tokens.ts)
- getRootLogConfig (packages/.../tokens.ts)
- getShowConnectionStatus (packages/.../tokens.ts)
- GrowlHttpErrorCallbackFn (packages/.../http-error-handler-callback-functions.ts)
- injectOptional (packages/.../injector.ts)
- isArgumentsChanged (packages/.../ngrx_kit.ts)
- isEqualCheck (packages/.../ngrx_kit.ts)
- isLogConfigDefined (packages/.../log.ts)
- isSelectorsDictionary (packages/.../ngrx_kit.ts)
- loadEuiDynamicEnvironmentConfig (packages/.../eui-pre-init-app.ts)
- localStorageSync (packages/.../meta.reducers.ts)
- localStorageSync (packages/.../meta.reducers.ts)
- localStorageSync (packages/.../meta.reducers.ts)
- LogHttpErrorCallbackFn (packages/.../http-error-handler-callback-functions.ts)
- logServiceFactory (packages/.../log.ts)
- mergeAppHandlerConfigToAppConfig (packages/.../tokens.ts)
- mergeAppJsonConfigToAppConfig (packages/.../tokens.ts)
- preInitApp (packages/.../eui-pre-init-app.ts)
- prepareEuiAppConfigToken (packages/.../tokens.ts)
- provideEuiInitializer (packages/.../eui-init-app.ts)
- sessionStorageSync (packages/.../meta.reducers.ts)
- sessionStorageSync (packages/.../meta.reducers.ts)
- sessionStorageSync (packages/.../meta.reducers.ts)

### packages/core/src/lib/services/errors/http-error-handler-callback-functions.ts

###

AlertHttpErrorCallbackFn
`AlertHttpErrorCallbackFn(error: HttpErrorResponse)`

Parameters :

Name | Type | Optional
error | `HttpErrorResponse` | No

Returns : `void`

ConsoleHttpErrorCallbackFn
`ConsoleHttpErrorCallbackFn(error: HttpErrorResponse)`

Parameters :

Name | Type | Optional
error | `HttpErrorResponse` | No

Returns : `void`

GrowlHttpErrorCallbackFn
`GrowlHttpErrorCallbackFn(error: HttpErrorResponse, injector: Injector)`

Parameters :

Name | Type | Optional
error | `HttpErrorResponse` | No
injector | `Injector` | No

Returns : `void`

LogHttpErrorCallbackFn
`LogHttpErrorCallbackFn(error: HttpErrorResponse, injector: Injector)`

Parameters :

Name | Type | Optional
error | `HttpErrorResponse` | No
injector | `Injector` | No

Returns : `void`

### packages/core/src/lib/services/store/ngrx_kit.ts

###

createSelector
`createSelector(s1: Selector, projector)`

Parameters :

Name | Type | Optional
s1 | `Selector` | No
projector |  | No

Returns : `MemoizedSelector<State, Result, unknown>`

createSelector
`createSelector(selectors, projector)`

Parameters :

Name | Optional
selectors | No
projector | No

Returns : `MemoizedSelector<State, Result, Result>`

createSelector
`createSelector(...input: undefined)`

Parameters :

Name | Optional
input | No

Returns : `MemoizedSelector | MemoizedSelectorWithProps`

createSelectorFactory
`createSelectorFactory(memoize: MemoizeFn)`

Parameters :

Name | Type | Optional
memoize | `MemoizeFn` | No

Returns : `MemoizedSelector<T | V>`

createSelectorFactory
`createSelectorFactory(memoize: MemoizeFn, options: SelectorFactoryConfig)`

Parameters :

Name | Type | Optional | Default value | Description
memoize | `MemoizeFn` | No |  | The function used to memoize selectors
options | `SelectorFactoryConfig` | No | `{ stateFn: defaultStateFn, }` | Config Object that may include a `stateFn` function defining how to return the selector's value, given the entire `Store`'s state, parent `Selector`s, `Props`, and a `MemoizedProjection`

defaultMemoize
`defaultMemoize(projectionFn: AnyFn, isArgumentsEqual: unknown, isResultEqual: unknown)`

Parameters :

Name | Type | Optional | Default value
projectionFn | `AnyFn` | No |
isArgumentsEqual | `unknown` | No | `isEqualCheck`
isResultEqual | `unknown` | No | `isEqualCheck`

Returns : `MemoizedProjection`

defaultStateFn
`defaultStateFn(state: any, selectors, props: any, memoizedProjector: MemoizedProjection)`

Parameters :

Name | Type | Optional
state | `any` | No
selectors |  | No
props | `any` | No
memoizedProjector | `MemoizedProjection` | No

Returns : `any`

extractArgsFromSelectorsDictionary
`extractArgsFromSelectorsDictionary(selectorsDictionary: Record)`

Parameters :

Name | Type | Optional
selectorsDictionary | `Record` | No

Returns : `unknown`

isArgumentsChanged
`isArgumentsChanged(args: IArguments, lastArguments: IArguments, comparator: ComparatorFn)`

Parameters :

Name | Type | Optional
args | `IArguments` | No
lastArguments | `IArguments` | No
comparator | `ComparatorFn` | No

isEqualCheck
`isEqualCheck(a: any, b: any)`

Parameters :

Name | Type | Optional
a | `any` | No
b | `any` | No

Returns : `boolean`

isSelectorsDictionary
`isSelectorsDictionary(selectors)`

Parameters :

Name | Optional
selectors | No

Returns : `Record<string | Selector<unknown, unknown>>`

### packages/core/src/lib/services/app/factories/log.ts

###

euiLogServiceFactory
`euiLogServiceFactory(injector: Injector, rootBaseLoggerName: string, rootConfig: LogConfig, childBaseLoggerName: string, childConfig: LogConfig)`

Parameters :

Name | Type | Optional | Default value
injector | `Injector` | No |
rootBaseLoggerName | `string` | No |
rootConfig | `LogConfig` | No |
childBaseLoggerName | `string` | No | `null`
childConfig | `LogConfig` | No | `{}`

Returns : `LogService`

getLogAppendersConfig
`getLogAppendersConfig(config: LogConfig, injector: Injector)`

Helper function to provide a list of log appenders from a log configuration

Parameters :

Name | Type | Optional | Default value
config | `LogConfig` | No | `DEFAULT_LOG_CONFIG`
injector | `Injector` | No | `null`

Returns : `LogAppender[]`

an array of log appenders

isLogConfigDefined
`isLogConfigDefined(config: LogConfig)`

Helper function to check if the log config is defined. Does not check only for empty object, because the config can have other (non-log) parameters

Parameters :

Name | Type | Optional
config | `LogConfig` | No

Returns : `boolean`

true/false

logServiceFactory
`logServiceFactory(config: LogConfig, injector: Injector)`

Helper function to provide an instance of LogService from a configuration

Parameters :

Name | Type | Optional | Default value
config | `LogConfig` | No | `DEFAULT_LOG_CONFIG`
injector | `Injector` | No | `null`

Returns : `LogService`

an instance of log service

### packages/core/src/lib/services/app/eui-startup.ts

###

getCoreChildProviders
`getCoreChildProviders(moduleName: string)`

Parameters :

Name | Type | Optional
moduleName | `string` | No

Returns : `Provider[]`

getCoreProviders
`getCoreProviders()`
Returns : `Provider[]`

getDependencyProviders
`getDependencyProviders()`
Returns : `Provider[]`

### packages/core/src/lib/services/config/tokens.ts

###

getGlobalConfig
`getGlobalConfig(appConfig: EuiAppConfig)`

Parameters :

Name | Type | Optional
appConfig | `EuiAppConfig` | No

Returns : `GlobalConfig`

getHttpErrorHandlingConfig
`getHttpErrorHandlingConfig(appConfig: EuiAppConfig)`

Parameters :

Name | Type | Optional
appConfig | `EuiAppConfig` | No

Returns : `HttpErrorHandlerConfig`

getModuleConfig
`getModuleConfig(appConfig: EuiAppConfig, moduleName: string)`

Parameters :

Name | Type | Optional
appConfig | `EuiAppConfig` | No
moduleName | `string` | No

Returns : `ModuleConfig`

getRootLogConfig
`getRootLogConfig(appConfig: EuiAppConfig)`

Parameters :

Name | Type | Optional
appConfig | `EuiAppConfig` | No

Returns : `LogConfig`

getShowConnectionStatus
`getShowConnectionStatus(globalConfig: GlobalConfig)`

Parameters :

Name | Type | Optional
globalConfig | `GlobalConfig` | No

Returns : `ConnectionStatus`

mergeAppHandlerConfigToAppConfig
`mergeAppHandlerConfigToAppConfig(euiAppConfig: EuiAppConfig, envAppHandler: EuiAppHandlersConfig)`

Parameters :

Name | Type | Optional
euiAppConfig | `EuiAppConfig` | No
envAppHandler | `EuiAppHandlersConfig` | No

Returns : `EuiAppConfig`

mergeAppJsonConfigToAppConfig
`mergeAppJsonConfigToAppConfig(euiAppConfig: EuiAppConfig, envAppJsonConfig: EuiAppJsonConfig, merge: Array, isDeepMerge: boolean)`

Parameters :

Name | Type | Optional
euiAppConfig | `EuiAppConfig` | No
envAppJsonConfig | `EuiAppJsonConfig` | No
merge | `Array` | No
isDeepMerge | `boolean` | No

Returns : `EuiAppConfig`

prepareEuiAppConfigToken
`prepareEuiAppConfigToken(euiConfig: EuiConfig)`

Parameters :

Name | Type | Optional
euiConfig | `EuiConfig` | No

Returns : `EuiAppConfig`

### packages/core/src/lib/helpers/injector.ts

###

injectOptional
`injectOptional(token, injector: unknown)`

Safely resolves a service from the injector only when needed. Avoids instantiation errors that can occur with `inject(..., { optional: true })`.

Parameters :

Name | Type | Optional | Default value | Description
token |  | No |  | The service token to inject
injector | `unknown` | No | `inject(Injector)` | The injector to use (defaults to the current injector)

Returns : `T | null`

The service instance or null if unavailable

### packages/core/src/lib/services/app/eui-pre-init-app.ts

###

loadEuiDynamicEnvironmentConfig
`loadEuiDynamicEnvironmentConfig(url: string, timeout?: number)`

Function to load asynchronously a dynamic configuration (from a local path or a web service)

Parameters :

Name | Type | Optional | Description
url | `string` | No | the path to the configuration
timeout | `number` | Yes | possible timeout

Returns : `Promise<EuiAppJsonConfig>`

EuiAppJsonConfig promise

preInitApp
`preInitApp(envConfig: EuiEnvConfig)`

Function to be used before the AppModule is bootstrapped. It is currently used to load dynamic configurations. It needs to be added in your application main.ts file.

Parameters :

Name | Type | Optional | Description
envConfig | `EuiEnvConfig` | No | the current environment configuration

Returns : `Promise<EuiEnvConfig>`

the updated environment configuration, as a promise

### packages/core/src/lib/services/store/reducers/meta.reducers.ts

###

localStorageSync
it will be removed in the next major version
`localStorageSync(platformId)`

Utility meta-reducer to load the state from the local storage

Parameters :

Name | Optional | Description
platformId | No | the platformId based on PLATFORM_ID token of Angular

Returns : `function`

localStorageSync
`localStorageSync(reducer: ActionReducer)`

Utility meta-reducer to load the state from the local storage

Parameters :

Name | Type | Optional | Description
reducer | `ActionReducer` | No | the action reducer

Returns : `S`

localStorageSync
`localStorageSync(reducer: ActionReducer, platformId?)`

Parameters :

Name | Type | Optional
reducer | `ActionReducer` | No
platformId |  | Yes

Returns : `Function`

sessionStorageSync
it will be removed in the next major version
`sessionStorageSync(platformId)`

Utility meta-reducer to load the state from the session storage

Parameters :

Name | Optional | Description
platformId | No | the platformId based on PLATFORM_ID token of Angular

Returns : `function`

sessionStorageSync
it will be removed in the next major version
`sessionStorageSync(reducer: ActionReducer)`

Utility meta-reducer to load the state from the session storage

Parameters :

Name | Type | Optional | Description
reducer | `ActionReducer` | No | the action reducer

Returns : `S`

sessionStorageSync
`sessionStorageSync(reducer: ActionReducer, platformId?)`

Parameters :

Name | Type | Optional
reducer | `ActionReducer` | No
platformId |  | Yes

Returns : `Function`

### packages/core/src/lib/services/app/eui-init-app.ts

###

provideEuiInitializer
`provideEuiInitializer()`
Initializes the app with the necessary configurations. Use this in combination with `provideAppInitializer(euiInitApp_Env)` Returns : `EnvironmentProviders`

# results matching ""

# No results matching ""